%define __libtoolize /bin/true
%define oname xfce4-sensors-plugin

Summary:	Sensor plugin for the Xfce panel
Name: 		xfce-sensors-plugin
Version: 	0.9.0
Release: 	%mkrel 2
License:	BSD
URL: 		http://download.berlios.de/xfce-goodies/
Source0: 	xfce4-sensors-plugin-%{version}.tar.bz2
Patch1:		xfce4-sensors-plugin-0.8.99-command.patch.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.3.0
Requires:       lm_sensors
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:	libxfcegui4-devel >= 4.3.0 
BuildRequires:  lm_sensors-devel
 
%description
A panel plugin for the Xfce panel.
It reads your hardware sensor values and displays them in your panel.

%prep
%setup -q -n %{oname}-%{version}
%patch1 -p1 -b .command

%build 
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%{_datadir}/icons/hicolor/48x48/apps/xfce-sensors.png

%changelog
* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.0-2mdv2007.0
- rebuild for xfce-4.3.90.2

* Fri Jun 23 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.0-1mdv2007.0
- 0.9.0
- mkrel
- BR

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 0.8.99-0.20060211.1mdk
- 0.8.99 from svn 20060211
- buildrequire new panel >= 4.3.0
- rediff P1
- update filelist

* Wed Sep 15 2005 Marcel Pol <mpol@mandriva.org> 0.7.0-1mdk
- 0.7.0
- rediff P1

* Wed Sep 15 2005 Marcel Pol <mpol@mandriva.org> 0.5.1-2mdk
- Patch1: use sensors command, partially fixes #18563
- fix license: GPL, not BSD

* Wed Jul 27 2005 Marcel Pol <mpol@mandrake.org> 0.5.1-1mdk
- 0.5.1
- don't run libtoolize
- add locale files

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.3.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 1st Mdk release


